<?php
/**
 * array of user_agents to detect
 * array structure
 *     - CYSTATS_BLOCK/CYSTATS_DONTBLOCK user_agent, not used at the moment
 *     - type of user_agent as defined in defines.php
 *     - client name
 *     - client url
 *     - user_agent part to detect (uppercase, no whitespaces)
 *     - second pass detection string/array, may consist of ip or user_agent
 *     - second pass trigger/method FALSE/CYSTATS_UA/CYSTATS_IP
 *
 * second pass: parse function uses array of values to determin wether the given user_agent/ip matches
 * the contained extra phrases, useful e.g. to determine if given user_agent googlebot/2.1 matches the
 * known remote addresses of google to exclude fake user_agents from being parsed as googlebot
 */
    $this->browser = array (

    100 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Mozilla', 'www.mozilla.org', 'MOZILLA', FALSE, FALSE),
        200 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Seamonkey', 'http://www.mozilla.org/projects/seamonkey/', 'SEAMONKEY', FALSE, FALSE),
        300 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Opera', 'www.opera.com', 'OPERA', FALSE, FALSE),
        400 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Netscape', 'www.netscape.com', 'NETSCAPE', FALSE, FALSE),
        500 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Flock', 'ww.flock.com/', 'FLOCK', FALSE, FALSE),
        600 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Firefox', 'www.mozilla.org/products/firefox', 'FIREFOX', FALSE, FALSE),
        700 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'FirefoxBonEcho', 'www.mozilla.org/products/firefox', 'BONECHO', FALSE, FALSE),
        701 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'FirefoxIceweasel', 'www.mozilla.org/products/firefox', 'ICEWEASEL', FALSE, FALSE),
        702 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'FirefoxGranparadiso', 'www.mozilla.org/products/firefox', 'GRANPARADISO', FALSE, FALSE),
        800 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Safari', 'www.apple.com/safari/', 'SAFARI', FALSE, FALSE),
        900 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Konqueror', 'www.konqueror.org', 'KONQUEROR', FALSE, FALSE),
        1000 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Lynx', 'lynx.browser.org', 'LYNX', FALSE, FALSE),
        1100 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'AvantBrowser', 'www.avantbrowser.com', 'ADVANCEDBROWSER', FALSE, FALSE),
        1101 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'AvantBrowser', 'www.avantbrowser.com', 'AVANTBROWSER', FALSE, FALSE),
        1200 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Aweb', 'aweb.sunsite.dk/', 'AWEB', FALSE, FALSE), //Amiga
        1300 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'CrazyBrowser', 'www.crazybrowser.com', 'CRAZYCYSTATS_BROWSER', FALSE, FALSE),
        1400 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'AMBrowser', 'www.ambrowser.com', 'AMCYSTATS_BROWSER', FALSE, FALSE),
        1500 => array(CYSTATS_BLOCKIT, CYSTATS_BROWSER, 'CyBrowser', 'www.cywhale.de', 'CYWHALEBOT', array('=Testbrowser1 CywhaleBot; Windows NT 5\.1\)=', '=Testbrowser CywhaleBot; Windows NT 5\.1\)='), CYSTATS_UA, TRUE),
        1600 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'IBrowse', 'www.ibrowse-dev.net/', 'IBROWSE', FALSE, FALSE),
        1700 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'ICab', 'www.icab.de', 'ICAB', FALSE, FALSE),
        1800 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'K-Meleon', 'kmeleon.sourceforge.net/', 'K-MELEON', FALSE, FALSE),
        1900 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Camino', 'www.mozilla.org/projects/camino/', 'CAMINO', FALSE, FALSE),
        2000 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Phoenix', 'www.mozilla.org/projects/phoenix/', 'PHOENIX', FALSE, FALSE),
        2100 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Firebird', 'www.mozilla.org/products/firefox', 'FIREBIRD', FALSE, FALSE),
        2200 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Epiphany', 'epiphany.mozdev.org/', 'EPCYSTATS_IPHANY', FALSE, FALSE),
        2300 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'MyIE2', 'www.myie2.com', 'MYIE2', FALSE, FALSE),
        2400 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'AnyBrowser', 'www.anybrowser.org', 'ANYCYSTATS_BROWSER', FALSE, FALSE),
        2500 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'SlimBrowser', 'www.slimbrowser.com', 'SLIMCYSTATS_BROWSER', FALSE, FALSE),
        2600 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'InternetExplorer', 'www.microsoft.com', 'MSIE', FALSE, FALSE),
        2700 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'T-Online', 'www.t-online.de', 'T-ONLINE', FALSE, FALSE),
        2800 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'AOL', 'www.aol.de', 'AOL', FALSE, FALSE),
        2900 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'AOLTV', 'www.aol.de', 'AOLTV', FALSE, FALSE),
        3000 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'OmniWeb', 'www.omnigroup.com/applications/omniweb/', 'OMNIWEB', FALSE, FALSE),
        3100 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'AceExplorer', '', 'ACEEXPLORER', FALSE, FALSE),
        3200 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'NeoPlanet', 'www.neopplanet.com', 'NEOPLANET', FALSE, FALSE),
        3300 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'FastBrowser', 'www.fastbrowser.com', 'FASTCYSTATS_BROWSER', FALSE, FALSE),
        3400 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'LotusNotes', '', 'LOTUSNOTES', FALSE, FALSE),
        3500 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'StarOffice', '', 'STAROFFICE', FALSE, FALSE),
        3600 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'WebTV', '', 'WEBTV', FALSE, FALSE),
        3700 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'EudoraWeb', '', 'EUDORAWEB', FALSE, FALSE),
        3800 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Dillo', '', 'DILLO', FALSE, FALSE),
        3900 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'NetPositive', '', 'NETPOSITIVE', FALSE, FALSE),
        4000 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Songbird', '', 'SONGBIRD', FALSE, FALSE),
        4100 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Sylera', '', 'SYLERA', FALSE, FALSE),
        4101 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'PocketInternetExplorer', 'http://www.microsoft.com', 'POCKETINTERNETEXPLORER', FALSE, FALSE),
        4102 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'PocketInternetExplorer', 'http://www.microsoft.com', 'MSPIE', FALSE, FALSE),
        4103 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Chrome', 'http://www.google.com/chrome', 'CHROME', FALSE, FALSE),
        4104 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Iron', 'http://www.srware.net/software_srware_iron.php', 'IRON', FALSE, FALSE),
        4105 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Galeon', 'http://sourceforge.net/projects/galeon/', 'GALEON', FALSE, FALSE),
        4106 => array(CYSTATS_DONTBLOCK, CYSTATS_BROWSER, 'Amaya', 'http://www.w3.org/Amaya/', 'AMAYA', FALSE, FALSE),
        

    5000 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Googlebot', 'http://www.google.de', 'GOOGLEBOT', FALSE, FALSE),
        5100 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GoogleAdSense', 'http://www.google.de', 'MEDIAPARTNERS-GOOGLE', FALSE, FALSE),
        5200 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GoogleAdBot', 'http://www.google.de', 'ADSBOT-GOOGLE', FALSE, FALSE),
        5300 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GoogleImageBot', 'http://www.google.de', 'GOOGLEBOT-IMAGE', FALSE, FALSE),
        5400 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GoogleDesktop', 'http://www.google.de', 'GOOGLEDESKTOP', FALSE, FALSE),
        5500 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GooglebotMobile', 'http://www.google.de', 'GOOGLEBOT-MOBILE', FALSE, FALSE),
        5501 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GoogleTalk', 'http://www.google.de', 'GOOGLE-TALK', FALSE, FALSE),
        5502 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GoogleSitemaps', 'http://www.google.de', 'GOOGLE-SITEMAP', FALSE, FALSE),
        5503 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GoogleVideo', 'http://www.google.de', 'GOOGLE-VIDEO', FALSE, FALSE),
        5600 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'MSNBot', 'http://www.msn.com', 'MSNBOT', FALSE, FALSE),
        5700 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'MSNBotMedia', 'http://www.msn.com', 'MSNBOT-MEDIA', FALSE, FALSE),
        5800 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Archive.org', 'http://www.archive.org/', 'IA_ARCHIVER', FALSE, FALSE),
        5900 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'BlogSearch', '', 'BLOGCYSTATS_SEARCH', FALSE, FALSE),
        6000 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Exalead', 'http://www.exalead.de', 'EXABOT', FALSE, FALSE),
        6100 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'FindLinks', 'http://wortschatz.uni-leipzig.de', 'FINDLINKS', FALSE, FALSE),
        6200 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'PSBot', 'http://www.picsearch.com/', 'PSBOT', FALSE, FALSE),
        6300 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'SnapBot', '', 'SNAPBOT', FALSE, FALSE),
        6400 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'SLURP', FALSE, FALSE),
        6401 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'YAHOOSEEKER', FALSE, FALSE),
        6402 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'YAHOO-VERTICALCRAWLER', FALSE, FALSE),
        6403 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'Yahoo-MMAUDVID', FALSE, FALSE),
        6404 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'YAHOO-BLOGS', FALSE, FALSE),
        6405 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'YAHOOMINDSET', FALSE, FALSE),
        6406 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'DOCOMO', FALSE, FALSE),
        6407 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'YAHOO-TEST', FALSE, FALSE),
        6408 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yahoo', 'http://www.yahoo.com', 'Y!J', FALSE, FALSE),
        6500 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'YahooMMCrawler', 'http://www.yahoo.com', 'YAHOO-MMCRAWLER', FALSE, FALSE),
        6600 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Altavista', 'http://www.altavista.com', 'SCOOTER', FALSE, FALSE),
        6700 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Ask', 'http://www.ask.com', 'ASKJEEVES', FALSE, FALSE),
        6800 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Entireweb', 'http://www.entireweb.com', 'SPEEDYSPIDER', FALSE, FALSE),
        6900 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Baidu', 'http://www.baidu.com', 'BAIDUSPIDER+', FALSE, FALSE),
        7000 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Wosse', 'http://www.wosse.com', 'WOSSEBOT', FALSE, FALSE),
        7100 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Larbin', 'http://larbin.sourceforge.net/index-eng.html', 'LARBIN_', FALSE, FALSE),
        7200 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'OmniExplorer', 'http://www.omni-explorer.com', 'OMNIEXPLORER_BOT', FALSE, FALSE),
        7300 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Gonzo', 'http://www.suchen.de', 'GONZO1', FALSE, FALSE),
        7400 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'PicSearch', 'http://www.picsearch.com/menu.cgi?item=Psbot', 'PSBOT', FALSE, FALSE),
        7500 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'GigaBlast', 'http://www.gigablast.com/spider.html', 'GIGABOT', FALSE, FALSE),
        7600 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'MetaQuerier', 'http://metaquerier.cs.uiuc.edu/', 'VWBOT', FALSE, FALSE),
        7700 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Grafiktablett', 'http://www.grafiktablett.at', 'GRAFIKBOT', FALSE, FALSE),
        7800 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Terraminds', 'http://www.terraminds.de', 'TERRAMINDS-BOT', FALSE, FALSE),
        7900 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Cazoodle', 'http://www.cazoodle.com/cazoodlebot/', 'CAZOODLEBOT', FALSE, FALSE),
        8000 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yacy', 'http://yacy.net/yacy/bot.html', 'YACY', FALSE, FALSE),
        8100 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Goo', 'http://help.goo.ne.jp/door/crawler.html', 'ICHIRO', FALSE, FALSE),
        8101 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Semager', 'http://www.semager.de', 'SEMAGER', FALSE, FALSE),
        8198 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Mirago', 'http://miragotestrobot.com', 'HENRYTHEMIRAGOROBOT', FALSE, FALSE),
        8199 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Mirago', 'http://miragotestrobot.com', 'HEINRICHDERMIRAGOROBOT', FALSE, FALSE),
        8200 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'MiragoTestRobot', 'http://miragotestrobot.com', 'MIRAGO-TEST-ROBOT', FALSE, FALSE),
        8201 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Neomo', 'http://www.neomo.de/', 'FRANCIS', FALSE, FALSE),
        8202 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Krugle', 'http://corp.krugle.com', 'KRUGLE/KRUGLE,NUTCH', FALSE, FALSE),
        8203 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Neofine', 'http://www.neofonie.de/loesungen/search/robot.html', ':ROBOT', FALSE, FALSE),
        8204 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'M12', 'http://majestic12.co.uk', 'MJ12BOT', FALSE, FALSE),
        8205 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Pilgrim', 'http://www.netzwerke-im-internet.de/pilgrim/index.html', 'PILGRIMHTML-CRAWLER', FALSE, FALSE),
        8206 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Blogcenus', 'http://www.blogcensus.de', 'BLOGCENSUS', FALSE, FALSE),
        8207 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yacy', 'http://www.yacy.net', 'YACYBOT', FALSE, FALSE),
        8208 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Icerocket', 'http://www.icerocket.com', 'BLOGSEARCH', FALSE, FALSE),
        8209 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'BrightCloud', 'http://www.brightcloud.com', 'BRIGHTCRAWLER', FALSE, FALSE),
        8210 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Pagebull', 'http://www.pagebull.com', 'PAGEBULL', FALSE, FALSE),
        8211 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Zymboo', 'http://www.zymboo.com', 'ZYMBOTRENATO', FALSE, FALSE),
        8212 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Seekbot', 'http://www.seekbot.net', 'SEEKBOT', FALSE, FALSE),
        8213 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Sogou', 'http://www.sogou.com', 'SOGOUWEBSPIDER', FALSE, FALSE),
        8214 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Blogato', 'http://www.blogato.de', 'BLOGATO', FALSE, FALSE),
        8215 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Kosmix', 'http://www.kosmix.com', 'VOYAGER', FALSE, FALSE),
        8216 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Cityreview', 'http://cityreview.org', 'CITYREVIEW', FALSE, FALSE),
        8217 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'WalHello', 'http://walhello.com', 'APPIE', FALSE, FALSE),
        8218 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Majestic12', 'http://www.majestic12.co.uk/projects/dsearch/mj12bot.php', 'MJ12BOT', FALSE, FALSE),
        8219 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'WellsSearchII', '', 'WELLSSEARCHII', FALSE, FALSE),
        8220 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Suchbaer', 'http://www.suchbaer.de', 'SUCHBAER', FALSE, FALSE),
        8221 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Girafa', 'http://www.girafa.com', 'GIRAFA', FALSE, FALSE),
        8221 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Ayell', 'http://www.ayell.eu', 'EUROBOT', FALSE, FALSE),
        8222 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Twingly', 'http://www.twingly.com', 'TWINGLYRECON', FALSE, FALSE),
        8223 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Cuil', 'http://www.cuil.com/info/webmaster_info/', 'TWICELER', FALSE, FALSE),
        8224 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Wikiasearch', 'http://search.wikia.com/wiki/GrubNG_Protocol', 'GRUBNG', FALSE, FALSE),
        8225 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Gais', 'http://gais.cs.ccu.edu.tw/robot', 'GAISBOT', FALSE, FALSE),
        8226 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yanga', 'http://www.yanga.co.uk/', 'YANGAWORLDSEARCHBOT', FALSE, FALSE),
        8227 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Yandex', 'http://company.yandex.com/index.xml', 'YANDEX', FALSE, FALSE),
        8228 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Abacho', 'http://www.de.abacho.com', 'ABACHOBOT', FALSE, FALSE),
        8229 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Mojeek', 'http://www.mojeek.com/about.html', 'MOJEEKBOT', FALSE, FALSE),
        8230 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Nusearch', 'http://www.nusearch.com/about.jsp', 'NUSEARCH SPIDER', FALSE, FALSE),
        8231 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Searchme', 'http://www.searchme.com/support/spider/', 'CHARLOTTE', FALSE, FALSE),
        8232 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'RSSMicro', 'http://www.rssmicro.com', 'RSSMICRO.COM', FALSE, FALSE),
	8233 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Jyxo', 'http://jyxo.cz/', 'JYXOBOT', FALSE, FALSE),
	8234 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Ruky', 'http://www.ruky.de/zeige/bot.html', 'RUKY-BOT', FALSE, FALSE),
	8235 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Netluchs', 'http://www.netluchs.de', 'NETLUCHS', FALSE, FALSE),
	8236 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Twitmatic', 'http://twitmatic.com/', 'TWITMATIC', FALSE, FALSE),
	8237 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'Caddo', 'http://www.caddo.de/zeige/bot.html', 'CADDO-BOT', FALSE, FALSE),
	8238 => array(CYSTATS_DONTBLOCK, CYSTATS_SEARCH, 'E1Suche', 'http://www.e1esuche.de/cgi-bin/catalog.cgi?cmd=pages&page=bot', 'E1E-SUCHE-BOT', FALSE, FALSE),


    9000 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'ClawsMailRSSPlugin', 'http://www.claws-mail.org', 'CLAWSMAILRSSYLPLUGIN', FALSE, FALSE),
        9100 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Thunderbird', 'http://www.mozilla-thunderbird.org', 'THUNDERBIRD', FALSE, FALSE),
        9101 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Evolution', 'http://www.evolution.org', 'EVOLUTION', FALSE, FALSE),
        9200 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'NetNewsWire', '', 'NETNEWSWIRE', FALSE, FALSE),
        9300 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'NewsFire', '', 'NEWSFIRE', FALSE, FALSE),
        9400 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'YouReadMe', '', 'YOUREADME', FALSE, FALSE),
        9500 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'SharpReader', '', 'SHARPREADER', FALSE, FALSE),
        9600 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'FeedDemon', '', 'FEEDDEMON', FALSE, FALSE),
        9700 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Liferea', 'http://liferea.sourceforge.net/', 'LIFEREA', FALSE, FALSE),
        9800 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'JetReader', '', 'JETREADER', FALSE, FALSE),
        9900 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'RssReader', '', 'RSS_READER', FALSE, FALSE),
        10000 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'RssBandit', '', 'RSSBANDIT', FALSE, FALSE),
        10100 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'MagPieRSS', '', 'MAGPIERSS', FALSE, FALSE),
        10200 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'newsMacPro', '', 'NEWSMACPRO', FALSE, FALSE),
        10300 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'XPRss', 'http://www.xprssit.com/', 'XPRSS', FALSE, FALSE),
        10400 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'RSSOwl', 'http://www.rssowl.org/', 'RSSOWL', FALSE, FALSE),
        10500 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Feedster', 'http://www.feedster.com/', 'FEEDSTERCRAWLER', FALSE, FALSE),
        10600 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'YahooFeedseeker', '', 'YAHOOFEEDSEEKER', FALSE, FALSE),
        10700 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'NewsAlloy', 'http://www.newsalloy.com/', 'NEWSALLOY', FALSE, FALSE),
        10800 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Feedreader', 'http://www.feedreader.com/', 'FEEDREADER', FALSE, FALSE),
        10900 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'FeedOnFeeds', 'http://feedonfeeds.com/', 'FEEDONFEEDS', FALSE, FALSE),
        11000 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Greatnews', 'http://www.curiostudio.com/', 'GREATNEWS', FALSE, FALSE),
        11100 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Bloglines', 'http://www.bloglines.com', 'BLOGLINES', FALSE, FALSE),
        11200 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Akregator', 'http://akregator.kde.org/', 'AKREGATOR', FALSE, FALSE),
        11300 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'TechnoratiBot', 'http://www.technorati.com', 'TECHNORATIBOT', FALSE, FALSE),
        11400 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'TechnoratiSnoop', 'http://www.technorati.com', 'TECHNORATISNOOP', FALSE, FALSE),
        11500 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'SphereScout', 'http://www.sphere.com', 'SPHERESCOUT&V', FALSE, FALSE),
        11600 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'XmlRssTimingBot', '', 'XMLRSSTIMINGBOT', FALSE, FALSE),
        11700 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'BlogSnow', 'http://www.blogsnow.com', 'BLOGSNOWBOT', FALSE, FALSE),
        11800 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'PingWordBlog', 'http://www.wordblog.de', 'PING', FALSE, FALSE),
        11900 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Biz360Spider', 'http://www.biz360.com', 'BIZ360SPIDER', FALSE, FALSE),
        11901 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Postrank', 'http://postrank.com', 'AIDERSS', FALSE, FALSE),
        12000 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Vienna', 'http://www.opencommunity.co.uk/vienna21.php', 'VIENNA', FALSE, FALSE),
        12001 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Netvibes', 'http://www.netvibes.com', 'NETVIBES', FALSE, FALSE),
        12003 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'GoogleFeedfetcher', 'http://www.google.com/feedfetcher.html', 'FEEDFETCHER-GOOGLE', FALSE, FALSE),
        12004 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Java/Rome', 'https://rome.dev.java.net/', 'ROMECLIENT', FALSE, FALSE),
        12005 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Wizz', 'http://www.wizzrss.com/', 'WIZZRSS', FALSE, FALSE),
        12006 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'SimplePie', 'http://www.simplepie.org/', 'SIMPLEPIE', FALSE, FALSE),
        12007 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Tailrank', 'http://www.tailrank.com/', 'TAILRANK', FALSE, FALSE),
        12008 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Feedhub', 'http://www.feedhub.com/', 'FEEDHUB', FALSE, FALSE),
        12009 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'PythonFeedparser', 'http://www.feedparser.org/', 'UNIVERSALFEEDPARSER', FALSE, FALSE),
        12010 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Blogcatalog', 'http://www.blogcatalog.com', 'BLOGCATALOG-BOT', FALSE, FALSE),
        12011 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Frischgebloggt', 'http://www.frischgebloggt.de/bot', 'FRISCHGEBLOGGT', FALSE, FALSE),
        12012 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Bloggerei', 'http://bloggerei.de', 'FEEDWORKER/1.0(+HTTP://WWW.BLOGGEREI.DE)', FALSE, FALSE),
        12013 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Blogbridge', 'http://www.blogbridge.com/', 'BLOGBRIDGE', FALSE, FALSE),
        12014 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Wikio', 'http://www.wikio.com/', 'WIKIO', FALSE, FALSE),
        12015 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Feedburner', 'http://www.feedburner.com/', 'FEEDBURNER', FALSE, FALSE),
        12016 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Alesti', 'http://www.alesti.org/', 'ALESTIFEEDBOT', FALSE, FALSE),
        12017 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'FacebookFeedParser', 'http://www.facebook.com/', 'FACEBOOKFEEDPARSER', FALSE, FALSE),
        12018 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Fastladder', 'http://fastladder.com/', 'FASTLADDER', FALSE, FALSE),
        12019 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Feedowl', '', 'FEEDOWL', FALSE, FALSE),
        12020 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'NewsAlloy', 'http://www.newsalloy.com/', 'NEWSALLOY', FALSE, FALSE),
        12021 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Rojo', 'http://www.rojo.com/', 'ROJO', FALSE, FALSE),
        12022 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Excite', 'HTTP://mix.excite.de/', 'EXCITEEUROPEFEEDAGENT', FALSE, FALSE),


    13000 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'JakartaCommons', 'http://jakarta.apache.org/commons/httpclient/', 'JAKARTACOMMONS-HTTPCLIENT', FALSE, FALSE),
        13100 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'FeedValidator', 'http://feedvalidator.com', 'CYSTATS_FEEDVALIDATOR', FALSE, FALSE),
        13101 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'YahooPipes', 'http://pipes.yahoo.com', 'YAHOOPIPES', FALSE, FALSE),
        13200 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'WDGValidator', 'http://www.htmlhelp.com/tools/validator', 'WDGVALIDATOR', FALSE, FALSE),
        13300 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'W3CValidator', 'http://validator.w3c.com', 'W3C_VALIDATOR', FALSE, FALSE),
        13400 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'W3CCSSValidator', 'http://jigsaw.w3.org/css-validator/', 'W3C_CSS_VALIDATOR', FALSE, FALSE),
        13500 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'MSRbot', 'http://research.microsoft.com/research/sv/msrbot/', 'MSRBOT', FALSE, FALSE),
        13600 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'MoreOverBot', 'http://w.moreover.com/index.html', 'MOREOVERBOT', FALSE, FALSE),
        13700 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Quicktime', '', 'QUICKTIME', FALSE, FALSE),
        13800 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'BlogPulseLive', 'http://www.blogpulse.com/', 'BLOGPULSELIVE', FALSE, FALSE),
        13900 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Wordpress', 'http://www.wordpress.com', 'WORDPRESS', FALSE, FALSE),
        13901 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Twitturly', 'http://twitturly.com', 'TWITTURLY', FALSE, FALSE),
        13902 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Twitturls', 'http://twitturls.comm', 'TWITTURLS', FALSE, FALSE),
        13903 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Tweetmeme', 'http://twitturls.comm', 'TWEETMEMEBOT', FALSE, FALSE),
        14000 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Webcapture', '', 'WEBCAPTURE', FALSE, FALSE),
        14100 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'WindowsMediaPlayer', '', 'WINDOWS-MEDIA-PLAYER', FALSE, FALSE),
        14200 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Wget', '', 'WGET', FALSE, FALSE),
        14201 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Sitebar.org', 'http://www.sitebar.org', 'SITEBAR', FALSE, FALSE),
        14202 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'XenuLinkSleuth', '', 'XENULINKSLEUTH', FALSE, FALSE),
        14203 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Radian6 Comment', 'http://www.radian6.com/crawler/', 'R6_COMMENTREADER', FALSE, FALSE),
        14204 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Radian6 Feedfetcher', 'http://www.radian6.com/crawler/', 'R6_FEEDFETCHER', FALSE, FALSE),
        14205 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Nambu', 'http://www.nambu.com/', 'NAMBUURLDESTINATIONDETERMINATOR', FALSE, FALSE),
        14206 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'PhytonURLlib', 'http://docs.python.org/library/urllib.html', 'PYTHON-URLLIB', FALSE, FALSE),
        14207 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'PycURL', 'http://pycurl.sourceforge.net/', 'PYCURL', FALSE, FALSE),
        14208 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'BlogPingR', 'http://blogpingr.de/faq', 'BLOGPINGR', FALSE, FALSE),
        14209 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Landau-Media', 'http://www.landaumedia.de/', 'LANDAU-MEDIA-SPIDER', FALSE, FALSE),
        14210 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'LargeSmall', 'http://www.onespot.com/faq', 'LARGESMALLCRAWLER', FALSE, FALSE),
        14211 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Blogscope', 'http://www.blogscope.net/help/', 'BLOGSCOPE', FALSE, FALSE),
	14212 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Amazon Web Services', 'http://aws.amazon.com/', 'UBERBOT', FALSE, FALSE),
	14213 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'GoogleApps', 'http://code.google.com/appengine', 'APPENGINE-GOOGLE', FALSE, FALSE),
	14214 => array(CYSTATS_DONTBLOCK, CYSTATS_FEED, 'Landau-Media-Feed', 'http://www.landaumedia.de/', 'SAMPLEGSERVICE-CS', FALSE, FALSE),
	14215 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'ShareThis', 'http://sharethis.com/', 'SHAREDCONTENTFETCHER', FALSE, FALSE),
	14216 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Amazon Web Services', 'http://aws.amazon.com/', 'BIXO', FALSE, FALSE),
	14217 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Libwww-Perl', 'http://ftp.ics.uci.edu/pub/websoft/libwww-perl/', 'LIBWWW-PERL', FALSE, FALSE),
	14218 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'SapphireWebCrawler', 'http://boston.lti.cs.cmu.edu/crawler/', 'SAPPHIREWEBCRAWLER', FALSE, FALSE),
	14219 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'MLBot', 'http://www.metadatalabs.com/', 'MLBOT', FALSE, FALSE),
	14220 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Relevantnoise', 'http://www.relevantnoise.com', 'RELEVANTNOISE', FALSE, FALSE),
	14221 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Java', 'http://www.java.com', 'JAVA', FALSE, FALSE),
	14222 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Laconica', 'http://laconi.ca/', 'LACONICAUSERAGENT', FALSE, FALSE),
	14223 => array(CYSTATS_DONTBLOCK, CYSTATS_TOOL, 'Bitly', 'http://bit.ly/', 'BITLYBOT', FALSE, FALSE),
        );



?>
